Ticket #1447 (closed bug: fixed)

Opened 7 years ago

Last modified 7 years ago

IntValidator does not catch TypeError

Reported by: vrialland Owned by: apoirier
Priority: minor Component: uncategorized
Version: 0.3.0 Keywords: validator
Cc:

Description

in IntValidator?'s init we have:

try:
    self.value = int(self.value)
except ValueError:
    raise ValueError('Must be an integer')

TypeError? should also be caught in the except as int(None) (for example) raises a TypeError?.

Change History

comment:1 Changed 7 years ago by Alain Poirier <alain.poirier@…>

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.